package com.jscape.inet.ssh.protocol.v2.messages;

import com.jscape.inet.ssh.protocol.messages.Message;
import com.jscape.util.net.connection.MessageConnection;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * @author Alex Usun
 */
public class SshMsgUserAuthPasswdChangeReq
        extends Message<SshMsgUserAuthPasswdChangeReq.Handler> {

    public final String prompt;
    public final String languageTag;

    public SshMsgUserAuthPasswdChangeReq(String prompt, String languageTag) {
        assertNotNull(prompt);
        this.prompt = prompt;

        assertNotNull(languageTag);
        this.languageTag = languageTag;
    }

    @Override
    public Class handlerClass() {
        return Handler.class;
    }

    @Override
    public void accept(Handler handler, MessageConnection<Message> connection) {
        handler.handle(this, connection);
    }

    @Override
    public String toString() {
        return "SshMsgUserAuthPasswdChangeReq {"
                + "prompt='" + this.prompt + '\''
                + ", languageTag='" + this.languageTag + '\''
                + '}';
    }

    public interface Handler
            extends Message.HandlerBase {

        void handle(SshMsgUserAuthPasswdChangeReq message, MessageConnection<Message> connection);

    }
}
